Subject: Re: [PATCH] make commit --interactive lock index

From: Paolo Bonzini <[email-masked]>
Date: Thu, 29 May 2008 21:17:01 +0200

Alex Riesen wrote:
> Paolo Bonzini, Thu, May 29, 2008 20:00:55 +0200:
>>>> The "if() die ()" thingie is already in builtin-commit.c, so we won't 
>>>>  ever get a pathspec in the "add --interactive" case.  If we do,   
>>>> something else has already been done incorrectly before -- not by the 
>>>>  user but by the programmer.
>>> What could that be?
>> Nothing, but it documents to whoever reads the code what is the path  
>> that will be taken.  Anyway if it happened it would be very bad.
> 
> Why is a comment not enough?

I tend to use comment if it is more interesting to express the condition 
in English, and asserts if it is more interesting to express it as code.

Paolo